Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport
Class AbstractWSDLTransport

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandlerSupport
          org.codehaus.xfire.transport.AbstractTransport
              org.codehaus.xfire.transport.AbstractWSDLTransport

All Implemented Interfaces:
  HandlerSupport, ChannelFactory, Transport, WSDL11Transport

Direct Known Subclasses:
  SoapHttpTransport, XMPPTransport

    public abstract class AbstractWSDLTransport

extends AbstractTransport
implements WSDL11Transport

Since:
  Dec 21, 2004
Author:
  Dan Diephouse

Constructor Summary
`AbstractWSDLTransport()`

Method Summary
`javax.wsdl.Binding` | `createBinding(WSDLBuilder builder, javax.wsdl.PortType portType, WSDL11ParameterBinding paramBinding)`
`javax.wsdl.BindingOperation` | `createBindingOperation(WSDLBuilder builder, javax.wsdl.PortType portType, javax.wsdl.Operation wsdlOp, WSDL11ParameterBinding binding)`
`javax.wsdl.Port` | `createPort(WSDLBuilder builder, javax.wsdl.Binding transportBinding)`
`protected javax.wsdl.extensions.soap.SOAPBinding` | `createSoapBinding(Service endpoint, WSDL11ParameterBinding binding)`
`javax.wsdl.extensions.soap.SOAPBody` | `createSoapBody(Service endpoint, WSDL11ParameterBinding binding)`
`javax.wsdl.extensions.soap.SOAPHeader` | `createSoapHeader(Service endpoint, WSDL11ParameterBinding binding)`
`abstract java.lang.String` | `getServiceURL(Service service)`
`abstract java.lang.String` | `getTransportURI(Service service)`

Methods inherited from class org.codehaus.xfire.transport.AbstractTransport
`createChannel, createChannel, createNewChannel, dispose, getChannelMap, getUriPrefix`

Methods inherited from class org.codehaus.xfire.handler.AbstractHandlerSupport
`addFaultHandler, addInHandler, addOutHandler, getFaultHandlers, getInHandlers, getOutHandlers, setFaultHandlers, setInHandlers, setOutHandlers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.transport.Transport
`getKnownUriSchemes, getName`

Methods inherited from interface org.codehaus.xfire.handler.HandlerSupport
`getFaultHandlers, getInHandlers, getOutHandlers`

Constructor Detail

### AbstractWSDLTransport

    public AbstractWSDLTransport()

Method Detail

### getServiceURL

    public abstract java.lang.String getServiceURL(Service service)

### getTransportURI

    public abstract java.lang.String getTransportURI(Service service)

### createBinding

    public javax.wsdl.Binding createBinding(WSDLBuilder builder,
                                            javax.wsdl.PortType portType,
                                            WSDL11ParameterBinding paramBinding)

  Specified by:
    `createBinding` in interface `WSDL11Transport`
  See Also:
    `org.codehaus.xfire.transport.Transport#createBinding(javax.wsdl.PortType)`

### createSoapBinding

    protected javax.wsdl.extensions.soap.SOAPBinding createSoapBinding(Service endpoint,
                                                                       WSDL11ParameterBinding binding)

### createPort

    public javax.wsdl.Port createPort(WSDLBuilder builder,
                                      javax.wsdl.Binding transportBinding)

  Specified by:
    `createPort` in interface `WSDL11Transport`
  Returns:
  See Also:
    `org.codehaus.xfire.transport.Transport#createPort(javax.wsdl.Binding)`

### createBindingOperation

    public javax.wsdl.BindingOperation createBindingOperation(WSDLBuilder builder,
                                                              javax.wsdl.PortType portType,
                                                              javax.wsdl.Operation wsdlOp,
                                                              WSDL11ParameterBinding binding)

  Specified by:
    `createBindingOperation` in interface `WSDL11Transport`
  Returns:
  See Also:
    `org.codehaus.xfire.transport.Transport#createBindingOperation(javax.wsdl.Message, javax.wsdl.Message, org.codehaus.xfire.java.JavaService)`

### createSoapBody

    public javax.wsdl.extensions.soap.SOAPBody createSoapBody(Service endpoint,
                                                              WSDL11ParameterBinding binding)

### createSoapHeader

    public javax.wsdl.extensions.soap.SOAPHeader createSoapHeader(Service endpoint,
                                                                  WSDL11ParameterBinding binding)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.